Skip to main content
POST
/
v2
/
auth
/
passkey
/
login
/
start
Start passkey login
curl --request POST \
  --url https://{projectId}.frontendapi.corbado.io/v2/auth/passkey/login/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientInformation": {
    "bluetoothAvailable": true,
    "clientEnvHandle": "<string>",
    "visitorId": "<string>",
    "canUsePasskeys": true,
    "isUserVerifyingPlatformAuthenticatorAvailable": true,
    "isConditionalMediationAvailable": true,
    "clientCapabilities": {
      "conditionalCreate": true,
      "conditionalMediation": true,
      "conditionalGet": true,
      "hybridTransport": true,
      "passkeyPlatformAuthenticator": true,
      "userVerifyingPlatformAuthenticator": true,
      "relatedOrigins": true,
      "signalAllAcceptedCredentials": true,
      "signalCurrentUserDetails": true,
      "signalUnknownCredential": true
    },
    "isNative": true,
    "webdriver": true,
    "privateMode": true
  }
}
'
{
  "blockBody": {
    "block": "signup-init",
    "authType": "signup",
    "data": {
      "blockType": "<string>",
      "challenge": "<string>",
      "identifierValue": "<string>",
      "identifierType": "email",
      "autoSubmit": true,
      "passkeyIconSet": "default",
      "variant": "default"
    },
    "alternatives": "<array>"
  },
  "common": {
    "appName": "<string>",
    "frontendApiUrl": "<string>",
    "hideBadge": true,
    "environment": "<string>"
  }
}

Authorizations

Authorization
string
header
required

After a user logs in successfully, a session is created and a JWT token is returned. This token represents the user's authenticated session. It must be included in the Authorization header as a Bearer token for all protected endpoints:

Authorization: Bearer <your-token>

The server will validate this token to authorize access.

Body

application/json
clientInformation
object

Response

200 - application/json

tbd

blockBody
object
required
common
object
required
newProcess
object